require 'spec_helper'

describe TestDrivePackageChoice do

  it "works" do

    choice = FactoryGirl.create(:test_drive_package_choice)
    choice.test_drive_package.package_type.should eql '4'
    choice.test_drive_package.test_drive_package_teachers.count.should eql 4

    teacher_choice = FactoryGirl.create(:test_drive_package_choice_teacher, test_drive_package_choice: choice)
    teacher_choice.test_drive_package_choice.should eql choice
  end
end